Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 242349 - Wallpapoz package does not require xorg-x11-utils
Wallpapoz package does not require xorg-x11-utils
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wallpapoz (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 235557 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 11:26 EDT by Oded Arbel
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 17:28:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2007-06-03 11:26:41 EDT
Description of problem:
Wallpapoz tries to execute xwininfo and crashes if its not available, but does
not require the xorg-x11-utils package which contains xwininfo.

Version-Release number of selected component (if applicable):
0.4-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. make sure xorg-x11-utils is not installed
2. install wallpapoz
3. run wallpapoz
  
Actual results:
Crash when trying to run xwininfo

Expected results:
Wallpapoz should run

Additional info:
Actually requiring 'xwininfo' directly is a better idea then requiring
xorg-x11-utils, as xorg-x11-utils provides that capability and its better cross
distribution setting as some distros package xwininfo separately.
Comment 1 Mamoru TASAKA 2007-06-03 12:29:56 EDT
Well,
* Our (Fedora) packaging policy is that file name dependency should not be 
  used for non-basic files because we now use automated dependency check
  by yum and yum gets slowly to some content for checking file
  dependency.
* And wallpapoz also requires xprop..

0.4-2 will be pushed on devel/F7 which requires xorg-x11-utils.
Thank you for reporting this bug.
Comment 2 Fedora Update System 2007-06-04 00:13:42 EDT
wallpapoz-0.4-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-06-04 17:28:09 EDT
wallpapoz-0.4-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Mamoru TASAKA 2007-09-24 21:41:32 EDT
*** Bug 235557 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.